Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.rpc
Class SerializedTypeViolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.user.client.rpc.SerializationException
                  com.google.gwt.user.client.rpc.SerializedTypeViolationException

All Implemented Interfaces:
  IsSerializable, java.io.Serializable

    public class SerializedTypeViolationException

extends SerializationException
implements IsSerializable

Exception that will be passed to the `AsyncCallback.onFailure(Throwable)` method when the value of an argument to a method in an RPC message is of the incorrect type.

For example, a method may be expecting an Integer argument, while the value in the message is a HashMap. The most likely source of this message in a production system is a security attack where a man-in-the-middle has modified an RPC message by changing the value types within the message.

Note that on the client, the `Throwable.getCause()` always return `null`.

See Also:
  Serialized Form

Constructor Summary
`SerializedTypeViolationException()` Constructor used by RPC serialization.
`SerializedTypeViolationException(java.lang.String msg)` Constructs an instance with the specified message.
`SerializedTypeViolationException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance with the specified message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializedTypeViolationException

    public SerializedTypeViolationException()

  Constructor used by RPC serialization. Note that the client-side code will always get a generic error message.

### SerializedTypeViolationException

    public SerializedTypeViolationException(java.lang.String msg)

  Constructs an instance with the specified message.

### SerializedTypeViolationException

    public SerializedTypeViolationException(java.lang.String msg,
                                            java.lang.Throwable cause)

  Constructs an instance with the specified message and cause.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD